{ lib, pkgs, ... }: {
  # Common packages that every system will use
  environment.systemPackages = with pkgs; [
    git
    vim
    neovim
    usbutils
    coreutils
    lshw
    systemd
    dmidecode
    pciutils
    nix-ld
    patchelf
    htop
  ];

  # Common environment variables that every system will use
  environment.variables.EDITOR = "nvim";
}
